﻿Copyright (c) (2015) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Meterman TMD90 (1 yr) VER RS-232 /525
DATE:                  2016-01-07 07:29:49
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 14288 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       164
CONFIGURATION:         Fluke 525A
=============================================================================
#
#  Procedure Author(s):
#        VY, DAC
#
#  Model(s) Covered:
#        Amprobe TM90A, Meterman TM90, Wavetek Meterman TM90
#
#  Source(s):
#        Meterman TMD90 User Manual, PN 2099366, Copyright Sep 2003 *
#
# 	  * The tolerances used by this procedure were taken from the published
# 		specifications table.
#
#  Additional Equipment and/or Accessories Required:
#        - TYPE K, J, T, R, S, E SMP plug to SMP plug
#          thermocouple cables (1).  One of each type.
#
#          1. Included in 5500A/LEADS, Lead Set
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statements are include to "force" the main procedure header
# to list all references required by all subprocedures called.
  1.001  IF           0
  1.002  525          *                                                 S
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V

  1.005  IF           NOT(VERSIONCHECK("8.0"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright

  1.009  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.010  CALL         Sub Select Failed Test Mode
  1.011  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.012  HEAD         TEST CONDITIONS
  1.013  DISP         No specific warm-up time requirement.
  1.013  DISP         Ambient temperature: 18 °C - 28 °C
  1.013  DISP         Relative humidity: less than 90 %

  1.014  HEAD         EQUIPMENT REQUIREMENTS
  1.015  OPBR         -z Do you want to review the list of additional
  1.015  OPBR         equipment and/or accessories required?

  1.016  IF           MEM1
  1.017  DISP         The following additional equipment and/or
  1.017  DISP         accessories are required:
  1.017  DISP
  1.017  DISP         - TYPE K, J, T, R, S, E SMP plug to SMP plug
  1.017  DISP         - thermocouple cables (1).  One of each type.
  1.017  DISP         -
  1.017  DISP         - 1. Included in 5500A/LEADS, Lead Set
  1.018  ENDIF

# Get UUT serial port name from MET/CAL initialization file.
  1.019  MATH         Port = INI("startup", "port")
  1.020  DISP         Connect the UUT to [V Port] using the
  1.020  DISP         TM-SW SERIAL CABLE.

# Setup UUT RS232 communication.
  1.021  PORT         [P2400,N,8,1,N]

  1.022  MATH         @Reference = "Calibrator"
  1.023  MATH         @Units = "C"

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.024  RSLT         =
  1.025  RSLT         =T1 INPUT
  1.026  MATH         @Input = "1"
  1.027  CALL         Sub Meterman TMD90 (1 year) Type K VER RS-232 /525
  1.028  JMPL         T2_K_TEST

  1.029  LABEL        T1_J_TEST
  1.030  MATH         @Input = "1"
  1.031  CALL         Sub Meterman TMD90 (1 year) Type J VER RS-232 /525
  1.032  JMPL         T2_J_TEST

  1.033  LABEL        T1_T_TEST
  1.034  MATH         @Input = "1"
  1.035  CALL         Sub Meterman TMD90 (1 year) Type T VER RS-232 /525
  1.036  JMPL         T2_T_TEST

  1.037  LABEL        T1_R_TEST
  1.038  MATH         @Input = "1"
  1.039  CALL         Sub Meterman TMD90 (1 year) Type R VER RS-232 /525
  1.040  JMPL         T2_R_TEST

  1.041  LABEL        T1_S_TEST
  1.042  MATH         @Input = "1"
  1.043  CALL         Sub Meterman TMD90 (1 year) Type S VER RS-232 /525
  1.044  JMPL         T2_S_TEST

  1.045  LABEL        T1_E_TEST
  1.046  MATH         @Input = "1"
  1.047  CALL         Sub Meterman TMD90 (1 year) Type E VER RS-232 /525
  1.048  JMPL         T2_E_TEST

  1.049  LABEL        T2_K_TEST
  1.050  RSLT         =
  1.051  RSLT         =T2 INPUT
  1.052  MATH         @Input = "2"
  1.053  CALL         Sub Meterman TMD90 (1 year) Type K VER RS-232 /525
  1.054  JMPL         T1_J_TEST

  1.055  LABEL        T2_J_TEST
  1.056  MATH         @Input = "2"
  1.057  CALL         Sub Meterman TMD90 (1 year) Type J VER RS-232 /525
  1.058  JMPL         T1_T_TEST

  1.059  LABEL        T2_T_TEST
  1.060  MATH         @Input = "2"
  1.061  CALL         Sub Meterman TMD90 (1 year) Type T VER RS-232 /525
  1.062  JMPL         T1_R_TEST

  1.063  LABEL        T2_R_TEST
  1.064  MATH         @Input = "2"
  1.065  CALL         Sub Meterman TMD90 (1 year) Type R VER RS-232 /525
  1.066  JMPL         T1_S_TEST

  1.067  LABEL        T2_S_TEST
  1.068  MATH         @Input = "2"
  1.069  CALL         Sub Meterman TMD90 (1 year) Type S VER RS-232 /525
  1.070  JMPL         T1_E_TEST

  1.071  LABEL        T2_E_TEST
  1.072  MATH         @Input = "2"
  1.073  CALL         Sub Meterman TMD90 (1 year) Type E VER RS-232 /525

  1.074  HEAD         C A L I B R A T I O N   C O M P L E T E
  1.075  END
